#### PyKDE - Python Bindings for KDE

# class KNFSShare |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KNFSShare
Inherits | QObject

### methods

- KNFSShare ()

  returns a KNFSShare instance
  In versions KDE 3.3.0 and above only

- changed ()

  returns nothing
  In versions KDE 3.3.0 and above only

- exportsPath ()

  returns (QString)
  In versions KDE 3.3.0 and above only

- instance ()

  returns (KNFSShare)
  In versions KDE 3.3.0 and above only
  static

- isDirectoryShared (path)

  returns (bool)
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  path | QString |

- sharedDirectories ()

  returns (QStringList)
  In versions KDE 3.3.0 and above only